{
	"table_prefix": "reff",
	"save_script": [],
	"extra_field": [
		{
			"type": "double",
			"name": "json_data.multiplier"
		},
		{
			"type": "date",
			"name": "json_data.end_date"
		},
		{
			"type": "integer",
			"name": "json_data.firm_id"
		},
		{
			"type": "varchar",
			"length": 40,
			"name": "json_data.modifier_id"
		},
		{
			"type": "varchar",
			"length": 80,
			"name": "json_data.project_id"
		},
		{
			"type": "date",
			"name": "json_data.start_date"
		},
		{
			"type": "integer",
			"name": "json_data.state"
		},
		{
			"type": "varchar",
			"length": 120,
			"name": "json_data.transfer_id"
		},
		{
			"type": "integer",
			"name": "json_data.transfer_state"
		},
		{
			"type": "integer",
			"name": "json_data.type"
		}
	],
	"field": [
		{
			"type": "varchar",
			"length": 40,
			"name": "resource_id",
			"foreign_key": {
				"field": "resource_id",
				"link_type": "prevent delete",
				"table": "resource"
			}
		},
		{
			"type": "varchar",
			"length": 80,
			"name": "person_id",
			"foreign_key": {
				"field": "person_id",
				"link_type": "prevent delete",
				"table": "person"
			}
		},
		{
			"type": "varchar",
			"length": 20,
			"name": "record_type"
		},
		{
			"name": "resource_effeciency_state",
			"type": "integer"
		},
		{
			"name": "start_time",
			"type": "datetime"
		},
		{
			"name": "end_time",
			"type": "datetime"
		},
		{
			"name": "effeciency",
			"type": "double"
		},
		{
			"name": "person_count",
			"type": "integer"
		},
		{
			"type": "varchar",
			"length": 200,
			"name": "person_skill"
		},
		{
			"name": "info",
			"type": "text"
		},
		{
			"name": "json_data",
			"type": "jsonb"
		}
	],
	"field_change": [
		{
			"name": "resource_effeciency_state",
			"old_name": [
				"record_state"
			]
		}
	],
	"name": "table/manager/resource/resource_effeciency.json",
	"table_name": "resource_effeciency"
}